Декодируем GSM с использованием HackRF One и GR-GSM

В данном форуме можно обсудить и найти информацию о SDR, в том числе о HackRF One, RTL-SDR и подобных устройствах, а также о программах SDRSharp, SDR Console и других
Ответить
Аватара пользователя

Flame
Постоянный пользователь
Сообщения: 82
Зарегистрирован: 16 янв 2016, 21:34
Репутация: 0
Контактная информация:
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение Flame » 25 июл 2017, 15:34

grgsm_decode --help

Теги:

Аватара пользователя

сергей гер
Новичок
Сообщения: 3
Зарегистрирован: 25 авг 2017, 19:21
Репутация: 0
Контактная информация:
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение сергей гер » 25 авг 2017, 19:30

Вечер добрый форумчане!Подскажите пожалуйста,обязательно пользоваться виртуальной машиной для убунты,или можно все это сделать на компе с убунтой?И ещё ,версия убунты тоже важна,у меня 16.4?

Аватара пользователя

Автор темы
DesignerMix
Администратор
Администратор
Сообщения: 5247
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 190
Репутация: 601
Откуда: Белгород
Контактная информация:
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение DesignerMix » 25 авг 2017, 19:35

сергей гер, на реальной машине с Ubuntu даже лучше т.к. не будет заморочек с пробросом USB и т.п. По поводу версии - думаю что на 16.4 все должно запустится без проблем, но тестировал я только на той версии которая указана в первом посте.

Аватара пользователя

сергей гер
Новичок
Сообщения: 3
Зарегистрирован: 25 авг 2017, 19:21
Репутация: 0
Контактная информация:
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение сергей гер » 25 авг 2017, 19:49

Спасибо огромное за ответ!

Отправлено спустя 5 минут 57 секунд:
Какое железо оптимально для этого,проц,память,видеокарта?

Аватара пользователя

Автор темы
DesignerMix
Администратор
Администратор
Сообщения: 5247
Зарегистрирован: 25 апр 2014, 10:51
Есть ответ: 190
Репутация: 601
Откуда: Белгород
Контактная информация:
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение DesignerMix » 25 авг 2017, 20:11

сергей гер писал(а):
25 авг 2017, 19:49
Какое железо оптимально для этого,проц,память,видеокарта?
Чем мощнее тем лучше. Могу сказать только на каком я все это тестировал - проверял все на нетбуке и на компьютере из это темы viewtopic.php?f=62&t=966

Аватара пользователя

steven_bloom
Новичок
Сообщения: 2
Зарегистрирован: 13 сен 2017, 15:51
Репутация: 0
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение steven_bloom » 13 сен 2017, 15:56

DesignerMix писал(а):
06 июн 2017, 00:18
movsarisaev, просто у меня была подобная ситуация и вопрос решился созданием папки с конфигурацией GNURadio где я указал путь до описания блоков которые выделены красным. Где-то на форуме я про это писал. Также да, ldconfig нужно выполнять после каждого подобного действия.
Уважаемый Админ, подскажите пож-та поподробнее, как решается эта проблема. Очень часто сталкиваюсь, но решения пока не нашел :help:
С уважением,

Аватара пользователя

Flame
Постоянный пользователь
Сообщения: 82
Зарегистрирован: 16 янв 2016, 21:34
Репутация: 0
Контактная информация:
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение Flame » 13 сен 2017, 18:42

Используйте команду grgsm_decode,забудьте про те блоки :)

Аватара пользователя

steven_bloom
Новичок
Сообщения: 2
Зарегистрирован: 13 сен 2017, 15:51
Репутация: 0
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение steven_bloom » 13 сен 2017, 19:48

Flame писал(а):
13 сен 2017, 18:42
Используйте команду grgsm_decode,забудьте про те блоки :)
Спасибо :) !, но мне для других целей :geek:
С уважением,


metori
Новичок
Сообщения: 5
Зарегистрирован: 10 авг 2017, 03:12
Репутация: 0
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение metori » 21 сен 2017, 04:34

К сожалению вчера обнаружил, что grgsm ещё не умеет демаппить и декодировать TCH/H каналы. Только TCH/F.

Аватара пользователя

Jasqer
Новичок
Сообщения: 1
Зарегистрирован: 22 ноя 2017, 22:07
Репутация: 0
Контактная информация:
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение Jasqer » 22 ноя 2017, 22:11

Уважаемый Админ, при установке на Kali Linux вышла ошибка...
"
PyBOMBS.Packager.source - ERROR - Configuration failed after running at least twice.
PyBOMBS.Packager.source - ERROR - Problem occurred while building package libosmocore:
Configuration failed
PyBOMBS.install_manager - ERROR - Error installing package libosmocore. Aborting.
"
Где нужно исправлять и что нужно исправлять? Спасибо.


platinumosetr
Новичок
Сообщения: 5
Зарегистрирован: 14 ноя 2017, 15:07
Репутация: 0
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение platinumosetr » 23 ноя 2017, 22:56

Jasqer писал(а):
22 ноя 2017, 22:11
Уважаемый Админ, при установке на Kali Linux вышла ошибка...
"
PyBOMBS.Packager.source - ERROR - Configuration failed after running at least twice.
PyBOMBS.Packager.source - ERROR - Problem occurred while building package libosmocore:
Configuration failed
PyBOMBS.install_manager - ERROR - Error installing package libosmocore. Aborting.
"
Где нужно исправлять и что нужно исправлять? Спасибо.
такая же тема


Vasgen
Интересующийся
Сообщения: 41
Зарегистрирован: 03 янв 2017, 20:31
Есть ответ: 1
Репутация: 1
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение Vasgen » 24 ноя 2017, 15:15

Jasqer, platinumosetr, проблема в библиотеке libosmocore, устанавливайте вручную. https://github.com/ptrkrysik/gr-gsm/wik ... stallation


platinumosetr
Новичок
Сообщения: 5
Зарегистрирован: 14 ноя 2017, 15:07
Репутация: 0
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение platinumosetr » 24 ноя 2017, 17:43

Vasgen писал(а):
24 ноя 2017, 15:15
Jasqer, platinumosetr, проблема в библиотеке libosmocore, устанавливайте вручную. https://github.com/ptrkrysik/gr-gsm/wik ... stallation
устанвливал и в ручную библиотеку и все равно также. :(
заплачу за решение проблемы если кто поможет.


Vasgen
Интересующийся
Сообщения: 41
Зарегистрирован: 03 янв 2017, 20:31
Есть ответ: 1
Репутация: 1
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение Vasgen » 24 ноя 2017, 17:59

platinumosetr, что значит так же? При установке вручную PyBOMBS не используется.


platinumosetr
Новичок
Сообщения: 5
Зарегистрирован: 14 ноя 2017, 15:07
Репутация: 0
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение platinumosetr » 24 ноя 2017, 23:19

Vasgen писал(а):
24 ноя 2017, 17:59
platinumosetr, что значит так же? При установке вручную PyBOMBS не используется.
обычно и там и там ошибка при сборе либы этой

Код: Выделить всё

checking for LIBGNUTLS... no
configure: error: Package requirements (gnutls >= 2.12.0) were not met:

No package 'gnutls' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBGNUTLS_CFLAGS
and LIBGNUTLS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


Vasgen
Интересующийся
Сообщения: 41
Зарегистрирован: 03 янв 2017, 20:31
Есть ответ: 1
Репутация: 1
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение Vasgen » 28 ноя 2017, 11:07

platinumosetr, вы вручную ставили на чистую систему или после того как PyBombs не удалось поставить. Нужно ставить на чистую, т.к. PyBombs меняет префиксы.


platinumosetr
Новичок
Сообщения: 5
Зарегистрирован: 14 ноя 2017, 15:07
Репутация: 0
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение platinumosetr » 09 дек 2017, 18:15

Vasgen Я пробывал по разному, на виртуалбокс и на чистую. и пробывал и убунту и кали, и паррот(


Vasgen
Интересующийся
Сообщения: 41
Зарегистрирован: 03 янв 2017, 20:31
Есть ответ: 1
Репутация: 1
Статус: Не в сети

Декодируем GSM с использованием HackRF One и GR-GSM

Сообщение Vasgen » Вчера, 14:44

platinumosetr, решение проблемы с gnutls:

Код: Выделить всё

sudo apt-get install libgnutls28-dev libgnutlsxx28
. Потом собираете libosmocore.

Ответить

Вернуться в «Программно-определяемое радио»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость